<template>
	<view>
		<view class="contentColumnC">
			<view class="contentColumnC timectV">
				<text class="textfontB4" style="color: white;">{{timeChange(timeInde)}}</text>
				<text class="textfontB4" style="color: white;">呼叫中</text>
			</view>
			
		</view>
		<view class="contentColumnC">
			<text class="quxiaohj" @click="actSelect(1)">取消呼叫</text>
		</view>
	</view>
</template>

<script>
	export default {
		name:"dachedengdai",
		props: {
			timeInde:0
		},
		data() {
			return {
				
			};
		},
		methods:{
			timeChange(timeInde){
				var shi='00';
				var fen='00';
				var miao='00';
				
				shi = parseInt(timeInde/3600);
				fen=timeInde%3600;
				fen=parseInt(fen/60);
				miao=timeInde%60;
				return shi+':'+fen+':'+miao;
			},
			actSelect(index){
				this.$emit('EddSelect',index);
				
			},
		},
	}
</script>

<style>

.timectV{
	width: 280rpx;
	height: 280rpx;
	border-radius: 140rpx;
	background-color: rgba(80, 80, 80, 0.7);
}
.quxiaohj{
	margin-top: 50rpx;
	padding-left: 50rpx;
	padding-right: 50rpx;
	line-height: 60rpx;
	text-align: center;
	background-color: #1A1A1A;
	color: white;
	font-size: 34rpx;
	border-radius: 30rpx;
}

</style>